<?php
namespace Pinpoint\GenderOptions\Model\Config\Source;

use Magento\Eav\Model\Entity\Attribute\Source\AbstractSource;

class Gender extends AbstractSource
{
    /**
     * Get all options
     *
     * @return array
     */
    public function getAllOptions(): array
    {
        $this->_options = [
            ['label' => '', 'value' => ''],
            ['label' => __('Male'), 'value'=>'1'],
            ['label' => __('Female'), 'value'=>'2'],
            ['label' => __('Non-binary'), 'value'=>'3'],
            ['label' => __('Transgender'), 'value'=>'4'],
            ['label' => __('Intersex'), 'value'=>'5'],
            ['label' => __('Prefer not to say'), 'value'=>'6']
        ];

        return $this->_options;
    }
}
